from .dprx4xx import *


class DPRX5xx(DPRX4xx):

    """

    Main class of `DPRX5xx` object.
    Inherited from class `DPRX4xx`.
    Class describes capabilities of 500th (5XX) series of DP and USB-C devices in Sink (RX - receiver) role.

    Attributes:
        __panel_replay (SinkPanelReplay): object of `SinkPanelReplay`.
        __psr (SinkPanelSelfRefresh): object of `SinkPanelSelfRefresh`.
    """

    def __init__(self, port_io: PortIO, memory_manager: MemoryManager, capturer: Capturer):
        super().__init__(port_io, memory_manager, capturer)
